Bug 978003 - Ignores silently non existing paths
Ignores silently non existing paths
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: scsi-target-utils (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Andy Grover
Bruno Goncalves
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-25 15:05 EDT by Andy Grover
Modified: 2018-01-24 14:20 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 910831
Environment:
Last Closed: 2017-12-06 05:45:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Grover 2013-06-25 15:05:47 EDT
+++ This bug was initially created as a clone of Bug #910831 +++

Description of problem:
Write in the configuration file a path that don't exist:

<target iqn.2010-12.org.trasno:iscsi.lvm>
backing-store /dev/trasno/windows
backing-store /path/not/exist
</target>

First path exist, and the second one don't exist.  If you start tgtd 
with this configuration it will start correctly without giving a single warning.  Neither it writes anything in /var/log/messages

Version-Release number of selected component (if applicable):


How reproducible:

Allways.


Steps to Reproduce:
1. Create a config file like the one showed, with one existing path and another that don't exist.
2.
3.
  
Actual results:

tgtd is launched without any error/warning, and the backing store that don't exist just don't show up.

Expected results:
At least give a warning somewhere saying that the device don't exist.  Notice that if the file exist, but tgtd is not able to access to it, it already gives an error on /var/log/messages:

Feb 13 17:23:31 trasno tgtd[27313]: tgtd: backed_file_open(92) Could not open /mnt/images/iscsi/f14_64.img, Permission denied



Additional info:
Comment 8 Jan Kurik 2017-12-06 05:45:39 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.